Scriptname MDSBoundAtHomeMain extends Quest conditional 


Bool property debug_mod = False auto

Event OnInit()
	RegisterForModEvent("DeviceActorOrgasm", "OnOrgasm")
EndEvent

int Property selfbondage_orgasms_toadvance = 1 auto
Event OnOrgasm(string eventName, string strArg, float numArg, Form sender)
	;CustomHeavyBondageScript.onOrgasm(eventName,strArg,numArg,sender)
	if (Game.getPlayer().GetLeveledActorBase().GetName() == strArg)
		debug.trace("[MDS]: DeviceActorOrgasm event in BoundAtHome quest received")
		player_selfbondage_orgasms += 1
		if (player_selfbondage_orgasms == selfbondage_orgasms_toadvance)
			SetObjectiveCompleted(10)
			SetObjectiveDisplayed(20)
		endif
	endif
EndEvent

Event OnUpdate()
	if !Game.getPlayer().WornHasKeyword(libs.zad_DeviousHeavyBondage)
		SetObjectiveCompleted(40)
		debug.messagebox("Finally having your hands free, you immediately discharge your plug as much as possible. Now you just need to unlock your doors.")
		plug_charged = False
	else
		registerForSingleUpdate(2.0)
	endif
EndEvent

Function unlockAllRestrains()
	Int iFormIndex = Game.getPlayer().GetNumItems()
	While iFormIndex > 0
		iFormIndex -= 1
		Form kForm = Game.getPlayer().GetNthForm(iFormIndex)
		If kForm.GetType() == 26 ; Ingredient
			if kForm.hasKeyword(libs.zad_InventoryDevice)
				;actor akActor, armor deviceInventory, armor deviceRendered = none, keyword zad_DeviousDevice = none, bool destroyDevice = false, bool genericonly = false
				ObjectReference temp = Game.GetPlayer().placeatme(kForm,1,False,True)
				zadEquipScript devicescript = temp as zadEquipScript
				
				libs.UnlockDevice(Game.getPlayer(),devicescript.deviceInventory,devicescript.deviceRendered, devicescript.zad_DeviousDevice,False,True)
				temp.delete()
			endif
		EndIf
	EndWhile
EndFunction

Function unlockHandRestrain()
	libs.UnlockDeviceByKeyword(Game.getPlayer(), libs.zad_DeviousHeavyBondage,False)
EndFunction

bool Function haveKey()
	if Game.getPlayer().GetItemCount(homeKeys[ChargenQuest.PropertyMenuChoice]) > 0
		return True
	else
		return False
	endif 
EndFunction


Function blockDoors()
	ObjectReference[] doors = getDoorArray()
	int i = doors.length
	while i > 0
		i = i - 1
		doors[i].BlockActivation(True)
	endwhile

EndFunction

Function unblockDoors()
	ObjectReference[] doors = getDoorArray()
	int i = doors.length
	while i > 0
		i = i - 1
		doors[i].BlockActivation(False)
	endwhile
EndFunction

ObjectReference[] Function getDoorArray()
	if (ChargenQuest.PropertyMenuChoice == 0)
		return SolitudeHomeDoors
	elseif (ChargenQuest.PropertyMenuChoice == 1)
		return MarkarthHomeDoors
	elseif (ChargenQuest.PropertyMenuChoice == 2)
		return WhiterunHomeDoors
	elseif (ChargenQuest.PropertyMenuChoice == 3)
		return RiftenHomeDoors
	endif
EndFunction

ObjectReference[] Function getStorageArray()
	if (ChargenQuest.PropertyMenuChoice == 0)
		return none;SolitudeHomeDoors
	elseif (ChargenQuest.PropertyMenuChoice == 1)
		return none;MarkarthHomeDoors
	elseif (ChargenQuest.PropertyMenuChoice == 2)
		return WhiterunHomeStorages
	elseif (ChargenQuest.PropertyMenuChoice == 3)
		return none;RiftenHomeDoors
	endif
EndFunction

ObjectReference[] Function getRestrainKeyLocationArray()
	if (ChargenQuest.PropertyMenuChoice == 0)
		return none;SolitudeHomeDoors
	elseif (ChargenQuest.PropertyMenuChoice == 1)
		return none;MarkarthHomeDoors
	elseif (ChargenQuest.PropertyMenuChoice == 2)
		return WhiterunRestrainKeyLocations
	elseif (ChargenQuest.PropertyMenuChoice == 3)
		return none;RiftenHomeDoors
	endif
EndFunction

Key Function getHomeKey()
	return homeKeys[ChargenQuest.PropertyMenuChoice]
EndFunction

Function removeKey()
	Game.getPlayer().removeItem(homeKeys[ChargenQuest.PropertyMenuChoice],1,True)
EndFunction

Function spawnHomeKey()
	ObjectReference[] storages = getStorageArray()
	int randomLocation = Utility.randomInt(0,storages.length - 1)
	debug.trace("[MDS]: HKey spawned in: "+randomLocation)
	if (debug_mod)
		debug.notification("HKey spawned in: "+randomLocation)
	endif
	storages[randomLocation].addItem(homeKeys[ChargenQuest.PropertyMenuChoice])
EndFunction

Function spawnRestrainKey()
	ObjectReference[] locations = getRestrainKeyLocationArray()
	int randomLocation = Utility.randomInt(0,locations.length - 1)
	debug.trace("[MDS]: RKey spawned in: "+randomLocation)
	if (debug_mod)
		debug.notification("RKey spawned in: "+randomLocation)
	endif
	(GetAlias(1) as ReferenceAlias).GetReference().moveTo(locations[randomLocation])

EndFunction

bool plug_charged = True
Function vibrate()
	while (!isCompleted() && (Game.getPlayer().wornhasKeyword(libs.zad_DeviousPlug) || Game.getPlayer().wornhasKeyword(libs.zad_DeviousPiercingsVaginal))) && plug_charged
		Utility.wait(15.0)
		libs.VibrateEffect(Game.getPlayer(),5,Utility.randomInt(20,40))
	endwhile
EndFunction

Function addRestrainKey()
	Game.getPlayer().addItem((GetAlias(1) as ReferenceAlias).GetReference().getBaseObject(),1,True)
EndFunction
int selfbondage_unlock_tries = 0
int Function getSelfbondageUnlockTries()
	return selfbondage_unlock_tries
EndFunction

int Property self_bondage_keylost_chance = 75 auto

Armor Property restrainKey auto

int property player_selfbondage_orgasms = 0 auto conditional

bool property haveKey = False auto conditional

zadlibs Property libs  Auto  

MoreDSmain Property DSmain  Auto  

ObjectReference Property HomeDoor  Auto  

ARTH_LAL_StartQuest property ChargenQuest auto
ObjectReference[] Property HomeDoors  Auto  
Key[]Property homeKeys auto 

ObjectReference[] Property SolitudeHomeDoors  Auto  

ObjectReference[] Property MarkarthHomeDoors  Auto  

ObjectReference[] Property WhiterunHomeDoors  Auto  

ObjectReference[] Property RiftenHomeDoors  Auto  

ObjectReference[] Property WhiterunHomeStorages  Auto  

ObjectReference[] Property WhiterunRestrainKeyLocations  Auto  

